DELETE
/serving/inference/{inference_id}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”inference_id
required
integer
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Model endpoint details retrieved successfully
Media typeapplication/json
object
code
integer
data
object
id
integer
model
object
dataset
object
model_type
object
sku
integer
name
string
storage_url
string
dataset_storage_url
string
status
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
detailed_info
object
args
Array<string>
commands
Array<string>
info_log
boolean
error_log
boolean
tokenizer
string
world_size
integer
warning_log
boolean
server_version
string
hugging_face_id
string
model_serve_type
string
log_verbose_level
integer
replica
integer
framework
string
custom_endpoint_details
object
container
object
advance_config
object
liveness_probe
object
key
additional properties
any
readiness_probe
object
path
string
port
string
protocol
string
period_seconds
integer
timeout_seconds
integer
failure_threshold
integer
success_threshold
integer
initial_delay_seconds
integer
image_pull_policy
string
is_liveness_probe_enabled
boolean
is_readiness_probe_enabled
boolean
container_name
string
container_type
string
private_image_details
object
public_ip
string
resource_details
object
disk_size
integer
mount_path
string
env_variables
Array<string>
message
string
auto_scale_policy
object
min_replicas
integer
max_replicas
integer
rules
Array<object>
object
value
integer
metric
string
window
integer
granularity
integer
watch_period
integer
condition_type
string
custom_metric_name
string
stability_period
string
is_auto_scale_enabled
boolean
desired_replica
integer
model_load_integration_id
integer
sku_details
object
specs
object
sku_id
integer
name
string
series
string
cpu
integer
gpu
integer
memory
integer
is_free
boolean
is_active
boolean
gpu_switch_type
string
local_storage_in_gb
integer
plan
object
sku_item_price_id
integer
sku_type
string
committed_days
integer
unit_price
number format: float
currency
string
is_active
boolean
description
string
committed_info
object
committed_replicas
integer
private_cloud_id
object
custom_sku
object
errors
object
message
string
Example
{ "code": 200, "data": { "id": 3035, "sku": 162, "name": "tir-endpoint-111516583333", "status": "Done", "created_by": { "id": 3573, "name": "Nipun", "email": "nipun.arora@e2enetworks.com", "username": "nipun.arora@e2enetworks.com" }, "created_at": "2024-11-15T11:28:58.532961Z", "updated_at": "2024-11-15T11:51:05.587489Z", "detailed_info": { "info_log": true, "error_log": true, "tokenizer": "", "world_size": 1, "warning_log": true, "server_version": "", "hugging_face_id": "", "model_serve_type": "", "log_verbose_level": 1 }, "replica": 1, "framework": "stable_diffusion_xl", "custom_endpoint_details": { "container": { "advance_config": { "readiness_probe": { "path": "/v2/health/ready", "port": "8080", "protocol": "http", "period_seconds": 10, "timeout_seconds": 10, "failure_threshold": 3, "success_threshold": 1, "initial_delay_seconds": 10 } }, "image_pull_policy": "Always", "is_liveness_probe_enabled": false, "is_readiness_probe_enabled": false, "container_name": "registry.e2enetworks.net/aimle2e/stable-diffusion-xl-base-1.0:hf", "container_type": "public" }, "public_ip": "no", "resource_details": { "disk_size": 100, "mount_path": "" } }, "message": "", "auto_scale_policy": { "min_replicas": 1, "max_replicas": 1, "rules": [ { "value": 100, "metric": "", "window": 1, "granularity": 1, "watch_period": 60, "condition_type": "limit", "custom_metric_name": "" } ], "stability_period": "300" }, "is_auto_scale_enabled": false, "desired_replica": 1, "model_load_integration_id": 428, "sku_details": { "specs": { "sku_id": 162, "name": "GDC.1xH200-30.375GB_SXM", "series": "GPU", "cpu": 30, "gpu": 1, "memory": 375, "is_free": false, "is_active": true, "local_storage_in_gb": 0 }, "plan": { "sku_item_price_id": 755, "sku_type": "hourly", "committed_days": 0, "unit_price": 470.4, "currency": "INR", "is_active": true, "description": "Hourly Compute Instance: inference_service" } }, "committed_replicas": 0 }, "message": "Success"}